## START: Set by rpmautospec
## (rpmautospec version 0.5.1)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 7;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Generated by rust2rpm 23
%bcond_without check
%global debug_package %{nil}

%global crate noisy_float

Name:           rust-noisy_float
Version:        0.2.0
Release:        %autorelease
Summary:        Rust library containing floating point types
License:        Apache-2.0
URL:            https://crates.io/crates/noisy_float
Source:         %{crates_source}
# * Remove criterion dependency because it is only needed for benchmarking
#   and benchmarking is not relevant for the packaging process
# * Bump approx version
#   Upstream PR: https://github.com/SergiusIW/noisy_float-rs/pull/42
Patch:          fix-cargo-toml.patch
BuildRequires:  rust-packaging >= 21

%global _description %{expand:
This crate contains floating point types that panic
if they are set to an illegal value, such as NaN.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license %{crate_instdir}/LICENSE
%doc %{crate_instdir}/README.md
%{crate_instdir}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+approx-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+approx-devel %{_description}

This package contains library source intended for building other packages which
use the "approx" feature of the "%{crate}" crate.

%files       -n %{name}+approx-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+serde-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+serde-devel %{_description}

This package contains library source intended for building other packages which
use the "serde" feature of the "%{crate}" crate.

%files       -n %{name}+serde-devel
%ghost %{crate_instdir}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version_no_tilde} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
%cargo_test
%endif

%changelog
## START: Generated by rpmautospec
* Fri Jan 26 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.2.0-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Fri Jul 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.2.0-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Mon Feb 06 2023 blinxen <h-k-81@hotmail.com> - 0.2.0-5
- [skip changelog] Don't use macro in name and url tag This makes it easier
  to build scripts which help with maintaining this package

* Fri Feb 03 2023 blinxen <h-k-81@hotmail.com> - 0.2.0-4
- Remove not needed changelog
## END: Generated by rpmautospec
